### Enumeration

# FwupdPlugin UsbClass

since: 1.0

#### Declaration

    enum FwupdPlugin.UsbClass

#### Description

No description available.

Available since: 1.0

#### Members

`FU_USB_CLASS_INTERFACE_DESC`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_AUDIO`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_COMMUNICATIONS`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_HID`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_PHYSICAL`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_IMAGE`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_PRINTER`
  No description available.
  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_MASS_STORAGE`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_HUB`
  No description available.
  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_CDC_DATA`
  No description available.
  - Value: `10`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_SMART_CARD`
  No description available.
  - Value: `11`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_CONTENT_SECURITY`
  No description available.
  - Value: `13`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_VIDEO`
  No description available.
  - Value: `14`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_PERSONAL_HEALTHCARE`
  No description available.
  - Value: `15`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_AUDIO_VIDEO`
  No description available.
  - Value: `16`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_BILLBOARD`
  No description available.
  - Value: `17`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_DIAGNOSTIC`
  No description available.
  - Value: `220`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_WIRELESS_CONTROLLER`
  No description available.
  - Value: `224`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_MISCELLANEOUS`
  No description available.
  - Value: `239`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_APPLICATION_SPECIFIC`
  No description available.
  - Value: `254`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_CLASS_VENDOR_SPECIFIC`
  No description available.
  - Value: `255`
  - Nickname: `None`
  - Available since: 1.0